<template>
    <div class="white-block">
        <div class="padding">
            <h3>Оплата с помощью банковской карты</h3>
        </div>
        <hr/>
        <div class="padding card-pay-block">
            <div class="row">
                <div class="columns six first-block">
                    <img src="/static/img/pos/add-funds/cards.png" alt="" class="a-image"/>
                    <input type="text" name="card-number" id="card-number" placeholder="Номер банковской карты" value="4622 0000 0000 0000"/>
                    <div class="row">
                        <div class="columns six">
                            <input type="text" name="card-date" id="card-date" placeholder="ММ / ГГ" value="03 / 21"/>
                        </div>
                        <div class="columns six">
                            <input type="password" name="card-cvc" id="card-cvc" placeholder="CVC" value=""/>
                        </div>
                    </div>
                </div>
                <div class="columns six second-block">
                    <img src="static/img/pos/add-funds/wb-pay.png" alt="" class="a-image"/>
                    <input type="text"
                           ref="paymentSum"
                           name="card-income"
                           placeholder="Сумма пополнения"
                           v-model="paymentSum"/>
                    <button class="new-blue" @click="pay">Оплатить</button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
  export default {
    name: 'cardPay',
    data () {
      return {
        displayAllMethods: false,
        paymentSum: 0,

        // errors
        amountError: '',
      }
    },

    props: {
      value: {
        required: true,
        type: Number,
      }
    },

    created () {
      this.paymentSum = this.sum;
    },


    methods: {
      pay () {
        if (this.paymentSum < 10) {
          this.$toastr.error('Сумма оплаты не может быть менее 10 рублей', 'Ошибка');
          this.$refs.paymentSum.focus();
        }
      }
    }
  }
</script>

<style scoped lang="scss">
    img.collapse {
        transition-duration: 0.3s;
    }
    img.uncollapse {
        transform: rotate(180deg);
        transition-duration: 0.3s;
    }
    .pos-block {
        & .answer {
            display: block !important;
        }
    }
</style>